import Foundation

struct Joke: Codable {
    let id: Int
    let category: Category
    let type: JokeType
    let lang: Language
    let setup: String?
    let delivery: String?
    let joke: String?
}

enum Category: String, Codable, CaseIterable, Identifiable {
    case `Any`, Programming, Misc, Dark, Pun, Spooky, Christmas
    var id: Self { self }
}

enum Language: String, Codable, CaseIterable, Identifiable {
    case en, fr, cs, de, es, pt
    var id: Self { self }
}

enum JokeType: String, Codable {
    case twopart, single
}
